Download it now!
Bug 30744 - Deprecate the gallery
Summary: Deprecate the gallery
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-10 03:17 UTC by floss
Modified: 2015-05-01 14:12 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description floss 2010-10-10 03:17:57 UTC
Under Tools->Gallery a feature exists that provides a thumbnail overview of images in pre-defined folders. For some reason these folders are called "themes". While this gallery would have been quite useful in the early stages of OpenOffice/StarOffice when a decent file manager or image browser was not necessarily present in the OS, nowadays, Windows, OS X and Linux all provide this. 

Therefore, I'm proposing removing this feature, making inserting images more prominent and possibly later tweaking the system file open dialog somewhat to better display images in that context.

Some have used this gallery in combination with OpenClipart but an extension that performs a live search would, in my opinion, be more beneficial for those users.

If there is a chance that this feature could be removed in its entirety, I'd be more than happy to try to work on a patch to remove it. 

If that is not a possibility, I'd strongly urge that at the very least all the currently supplied images (such as in "backgrounds", "rulers" or "homepage") are removed due to their extremely dated look and feel.
Comment 1 Michael Meeks 2010-10-11 06:39:51 UTC
Hmm; interesting idea. The gallery code is also used to store a number of magic built-in assets, and so I don't know that we can easily remove it in its entirely [ despite its horrible build, nasty binary file format and so on ].

Also - we package some the openclipart into the gallery - at least on Linux - perhaps we could make Windows packages of that too - which handles the 'dated' look.

If there are some cycles for working on this; Kendy has a re-vamped UI for the gallery that (AFAIR) lives in a side-bar, and allows connection to openclipart.org to browse & download artwork - would you be interested in hacking on that ? [ prod 'kendy' on IRC ]
Comment 2 Kami 2011-08-05 02:33:42 UTC
Ok, we may discuss what new gallery elements should be.
Comment 3 alic.vb 2011-10-01 11:56:34 UTC
No live search here, but you can have a look at this extension : https://sourceforge.net/p/clipooo/home/Home/
It's not a complete rewrite of the Gallery, thought, as it's only designed for figurative cliparts
AlicVB
Comment 4 Björn Michaelsen 2011-12-23 11:35:10 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 5 Roman Eisele 2012-05-05 08:55:59 UTC
Well, this enhancement request and discussion is still valid and interesting for LibreOffice 3.5.x and the upcoming 3.6, therefore changing Status back to NEW.
Comment 6 bfoman (inactive) 2013-07-20 18:17:49 UTC
New Gallery Images (IBM Symphony) and Gallery improvements are advertised as a new LO 4.1 features. Also rulers have to be shipped again for compatibility issues (as discussed on ESC meeting http://nabble.documentfoundation.org/minutes-of-ESC-call-tp4065021.html) after their removal in http://cgit.freedesktop.org/libreoffice/core/commit/?id=3be15a051444d4d2f805d95e27831d5f466c1497 commit.
Therefore I think this bug is WONTFIX for now.
Comment 7 bfoman (inactive) 2013-07-20 18:20:56 UTC
Adding previous commenters to CC list.
Comment 8 QA Administrators 2014-10-23 17:31:53 UTC
Please read this message in its entirety before responding.

Your bug was confirmed at least 1 year ago and has not had any activity on it for over a year. Your bug is still set to NEW which means that it is open and confirmed. It would be nice to have the bug confirmed on a newer version than the version reported in the original report to know that the bug is still present -- sometimes a bug is inadvertently fixed over time and just never closed.

If you have time please do the following:
1) Test to see if the bug is still present on a currently supported version of LibreOffice (preferably 4.2 or newer).
2) If it is present please leave a comment telling us what version of LibreOffice and your operating system.
3) If it is NOT present please set the bug to RESOLVED-WORKSFORME and leave a short comment telling us your version and Operating System

Please DO NOT
1) Update the version field
2) Reply via email (please reply directly on the bug tracker)
3) Set the bug to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 9 Yousuf Philips (jay) (retired) 2015-05-01 13:59:25 UTC
I dont believe the gallery needs deprecating, but needs improvements like updated images and online search capabilities. If someone else of ux-advise agrees, lets close this as WONTFIX.
Comment 10 V Stuart Foote 2015-05-01 14:12:04 UTC
Concur, the Gallery as Sidebar resident content panels has become more useful since OP, and prior artwork and graphics have been and continue to be refreshed.

Closing Wontfix